import React, { useEffect } from "react";
import SpinnerIcon from "@rsuite/icons/legacy/Spinner";
import { getMe } from "./telegram/user";

function Loading() {
  useEffect(() => {
    setTimeout(() => {
      window.location.href = "/guide";
    }, 3000);
    getMe()
      .then((res) => {
        console.log(res);
        // window.location.href = "/guide";
      })
      .catch((err) => {
        console.log(err);
        window.location.href = "/guide";
      });
  }, []);
  return (
    <div className={"flex justify-center items-center w-screen h-screen"}>
      <SpinnerIcon pulse style={{ fontSize: "2em" }} />
    </div>
  );
}

export default Loading;
